## org.apache.mahout.common
Class Parameters

    java.lang.Object
      org.apache.mahout.common.Parameters

Direct Known Subclasses:
  BayesParameters

    public class Parameters

extends java.lang.Object

Constructor Summary
`Parameters()`

Method Summary
`static Parameters` `fromString(java.lang.String serializedString)`
`java.lang.String` `get(java.lang.String key)`
`java.lang.String` `get(java.lang.String key, java.lang.String defaultValue)`
`java.lang.String` `print()`
`void` `set(java.lang.String key, java.lang.String value)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parameters

    public Parameters()

Method Detail

### get

    public java.lang.String get(java.lang.String key)

### get

    public java.lang.String get(java.lang.String key,
                                java.lang.String defaultValue)

### set

    public void set(java.lang.String key,
                    java.lang.String value)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### print

    public java.lang.String print()

### fromString

    public static Parameters fromString(java.lang.String serializedString)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.